Generation Framework

## org.eclipse.gmf.gmfgraph
Interface DiagramElement

All Superinterfaces:
  EObject, Identity, Notifier

All Known Subinterfaces:
  Compartment, Connection, DiagramLabel, Node

All Known Implementing Classes:
  CompartmentImpl, ConnectionImpl, DiagramElementImpl, DiagramLabelImpl, NodeImpl

public interface DiagramElement
extends Identity

A representation of the model object 'Diagram Element'.

The following features are supported:

- `Figure`
- `Facets`

See Also:
  `GMFGraphPackage.getDiagramElement()`
** Generated **
Model:
  abstract="true"

Method Summary
`VisualFacet` `find(java.lang.Class facetClass)` utility operation to get first visual facet assignable (in Java terms, `Class.isAssignableFrom(Class)`) to variables of designated class.
`EList` `getFacets()` Returns the value of the 'Facets' containment reference list.
`FigureHandle` `getFigure()` Returns the value of the 'Figure' reference.
`void` `setFigure(FigureHandle value)` Sets the value of the '`Figure`' reference

Methods inherited from interface org.eclipse.gmf.gmfgraph.Identity
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFigure

    public FigureHandle getFigure()

  Returns the value of the 'Figure' reference. It is bidirectional and its opposite is '`Referencing Elements`'.

  If the meaning of the 'Figure' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Figure' reference.
  See Also:
    `DiagramElement.setFigure(FigureHandle)`, `GMFGraphPackage.getDiagramElement_Figure()`, `FigureHandle.getReferencingElements()`
  ** Generated **
  Model:
    opposite="referencingElements" required="true"

### setFigure

    public void setFigure(FigureHandle value)

  Sets the value of the '`Figure`' reference.

  Parameters:
    `value` - the new value of the 'Figure' reference.
  See Also:
    `DiagramElement.getFigure()`
  ** Generated **

### getFacets

    public EList getFacets()

  Returns the value of the 'Facets' containment reference list. The list contents are of type `VisualFacet`. anything to further specify constraint or any other aspect of the element

  Returns:
    the value of the 'Facets' containment reference list.
  See Also:
    `GMFGraphPackage.getDiagramElement_Facets()`
  ** Generated **
  Model:
    type="org.eclipse.gmf.gmfgraph.VisualFacet" containment="true"

### find

    public VisualFacet find(java.lang.Class facetClass)

  utility operation to get first visual facet assignable (in Java terms, `Class.isAssignableFrom(Class)`) to variables of designated class. Argument can't be null

  ** Generated **
  Model:

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.